@import 'styles/main.scss';

.uploader {
  position: relative;

  &__input {
    position: absolute;
    top: 0;
    opacity: 0;
    height: 0;
    width: 0;
  }

  &__field {
    display: flex;
    gap: 8px;
    align-items: center;
    text-align: center;
    font: inherit;
    cursor: pointer;
    width: 100%;
    padding: 12px;
    background: $background-input;
    border-radius: 8px;
    border: none;
    outline: none;
    border: 1px solid $background-dark-white;

    font-weight: 400;
    font-size: 16px;
    line-height: 20px;

    color: $text-primary-2;

    &::placeholder {
      transition: 0.3s ease all;
      color: $text-light;
    }

    &:focus{
      &::placeholder {
        opacity: 0;
        transform: translateX(4px);
      }
    }
  }

  &__imageField {
    min-width: 120px;
    height: 120px;
    padding: 0;
    background: $background-input;
    border-radius: 8px;
    border: none;
    outline: none;
    border: 1px solid $background-dark-white;
    overflow: hidden;

    > img {
      object-fit: cover;
      height: 100%;
      width: 100%;
    }
  }
}